import styles from './index.less'
function Header(props?: { title: string, btnText?: any, element?: any, showBtn?: boolean }) {
    return <div className={styles.header}>
        <strong>{props?.title}</strong>
        {props?.showBtn ? props?.element ? <div>{props?.element}</div> : <span>{props?.btnText || "更多"}</span> : null}
    </div>
}

export default Header